Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.util
Class SequenceAlignmentToChangeableAdaptor

    java.lang.Object
      |
      +--uk.ac.man.bioinf.util.ChangeableListenerSupport
            |
            +--uk.ac.man.bioinf.util.SequenceAlignmentToChangeableAdaptor

All Implemented Interfaces:
  AlignmentListener, Changeable, EventListener, SequenceListener

public class SequenceAlignmentToChangeableAdaptor
extends ChangeableListenerSupport
implements Changeable, SequenceListener, AlignmentListener

SequenceAlignmentToChangeableAdaptor.java Created: Thu Jul 20 17:57:44 2000

Version:
  $Id: SequenceAlignmentToChangeableAdaptor.java,v 1.2 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`SequenceAlignmentToChangeableAdaptor(SequenceAlignment alignment)`

Method Summary
`void` | `changeOccurred(AlignmentEvent event)` method signalled after a change has occured to a multiple alignment
`void` | `changeOccurred(SequenceEvent event)` Method called when a change occurs
`boolean` | `equals(Object object)`
`int` | `hashCode()`

Methods inherited from class uk.ac.man.bioinf.util.ChangeableListenerSupport
`addChangeListener, fireChangeEvent, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uk.ac.man.bioinf.util.Changeable
`addChangeListener, removeChangeListener`

Constructor Detail

### SequenceAlignmentToChangeableAdaptor

    public SequenceAlignmentToChangeableAdaptor(SequenceAlignment alignment)

Method Detail

### changeOccurred

    public void changeOccurred(SequenceEvent event)

  Description copied from interface: `SequenceListener`
  Method called when a change occurs

  Specified by:
    `changeOccurred` in interface `SequenceListener`
  Parameters:
    `event` -

### changeOccurred

    public void changeOccurred(AlignmentEvent event)

  Description copied from interface: `AlignmentListener`
  method signalled after a change has occured to a multiple alignment

  Specified by:
    `changeOccurred` in interface `AlignmentListener`
  Parameters:
    `event` - the event type

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD